Skip to main content
POST
IFSC Verification V2

Authorizations

x-client-id
string
header
required

Your unique client identifier issued by Cashfree. You can find this in your Merchant Dashboard.

x-client-secret
string
header
required

The secret key associated with your client ID. Use this to authenticate your API requests. You can find this in your Merchant Dashboard.

Headers

x-cf-signature
string

Send the signature if two-factor authentication is selected as Public Key. More details.

Body

application/json

Find the request parameters to retrieve the IFSC information.

verification_id
string
default:test_verification_id
required

It is the unique ID you create to identify the verification request. The maximum character limit is 50. Only alphaumeric, period (.), hyphen (-), and underscore ( _ ) are allowed.

Example:

"test_verification_id"

ifsc
string
default:HDFC0000001
required

It is the IFSC information of the bank account to be validated. It should be an alphanumeric value of 11 characters. The first 4 characters should be alphabets, the 5th character should be a 0, and the remaining 6 characters should be numerals.

Example:

"HDFC0000001"

Response

Success response for IFSC Verification V2.

verification_id
string

It displays the unique ID you created to identify the verification ID.

Example:

"test_verification_id"

reference_id
integer

It displays the unique ID created by Cashfree Payments for reference purposes. format: int64

Example:

123

status
string

It displays the status of the IFSC information. Possible values are: - VALID: IFSC provided is valid.

Example:

"VALID"

bank
string

It displays the name of the bank.

Example:

"Bank Name"

ifsc
string

It displays the IFSC information.

Example:

"HDFC0000001"

neft
string

It displays the status of NEFT.

Example:

"Live"

imps
string

It displays the status of IMPS.

Example:

"Live"

rtgs
string

It displays the status of RTGS.

Example:

"Live"

upi
string

It displays the status of UPI.

Example:

"Live"

ft
string

It displays the status of fund transfer.

Example:

"Live"

card
string

It displays the status of card.

Example:

"Live"

micr
integer

It displays the MICR code that can be used to identify the bank.

Example:

560751026

nbin
integer

It displays the National Bank Identification Number (NBIN) information.

Example:

1234

address
string

It displays the physical address information of the branch.

Example:

"GROUND FLOOR, 123, ABC CIRCLE, XYZ MAIN ROAD, BANGALORE - 560098"

city
string

It displays the city name where the branch is located.

Example:

"BANGALORE"

state
string

It displays the name of the state where the branch is located.

Example:

"KARNATAKA"

branch
string

It displays the name of the branch.

Example:

"BANGALORE - RAJA RAJESHWARI NAGAR BRANCH"

ifsc_subcode
string

It displays the subcode of the IFSC information.

Example:

"HDFC0"

category
string

It displays the category of the bank.

Example:

"DIRECT_MEMBER"

swift_code
string

It displays the code that identifies banks and financial institutions worldwide. The code helps pinpoint the specific bank.

Example:

"HDFCINBB"